import * as types from "./actionTypes";
import initialState from "../../redux/reducers/initialState";
import { botType } from "./botType";

export default function chatbotReducer(state = initialState.bot, action) {
  switch (action.type) {
    case types.SUMMON_WIZARD:
      return { ...state, type: botType.wizard };

    case types.DISMISS_BOT:
      return { ...state, type: botType.none };

    default:
      return state;
  }
}
